{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des types d'annexes" %}

{% block pageActions %}
    {{ macro.addButton('app_typage_add', 'Ajout', 'text-left') }}

    <br>

    {{ macro.associationMultipleButtonModal(
        'btn_association',
        'Associer un ou plusieurs type(s) d\'annexe à une ou plusieurs entité(s)',
        'app_typage_association',
        form,
        typages.currentPageNumber,
        'modal-associate',
        'multi_organisation_user',
        'fields'
    ) }}

    {{ macro.btnDeleteMultipleWithModal(
        'btn_deletemultiple',
        'Suppression plusieurs types d\'annexes',
        'app_typage_delete_multiple',
        'Voulez-vous vraiment supprimer ces types d\'annexes ?',
        typages.currentPageNumber
    ) }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Libelle</th>
                <th scope="col">Entité(s) associée(s)</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for typage in typages %}
            <tr>
                <th>
                    {% if (app.user.currentOrganisation not in typage.organisations)  %}
                        {% set association = 'true' %}
                    {% else %}
                        {% set association = 'false' %}
                    {% endif %}

                    {% if (typage.organisations is empty) and (typage.createdByOrganisation == app.user.currentOrganisation) %}
                        {% set delete = 'true' %}
                    {% else %}
                        {% set delete = 'false' %}
                    {% endif %}

                    <input id='checkbox-{{ typage.id }}' type="checkbox"
                           class="js-checkbox allCheckbox" value="{{ typage.id }}"
                           data-association="{{ association }}" data-deletemultiple="{{ delete }}">
                </th>

                <th>
                    {{ typage.name }}
                </th>

                <th>
                    {% for organisation in typage.organisations %}
                        <li>
                            {{ organisation.raisonsociale }}
                        </li>
                    {% endfor %}
                </th>

                <th>
                    {% if ((typage.organisations is empty) and (typage.createdByOrganisation == app.user.currentOrganisation)) or is_granted('ROLE_SUPERADMIN') %}
                        {{ macro.editButton('app_typage_edit', typage.id) }}

                        {{ macro.deleteButtonModal(
                            typage.id,
                            'Suppression du type d\'annexe',
                            'app_typage_delete',
                            'Voulez-vous vraiment supprimer ce type d\'annexe ?',
                            typages.currentPageNumber
                        ) }}
                    {% endif %}
                </th>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(typages) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
